%global pkg_name haskell-platform

%global common_summary Standard Haskell distribution

%global common_description The Haskell Platform provides a stable and widely-used set of Haskell libraries\
and tools.  It comes with all you need to get up and running to get started
with Haskell programming.

%define without_haddock 1
%define ghc_without_shared 1

%define platform_progs()\
%{?1}Requires:       ghc = 7.0.4\
%{?1}Requires:       cabal-install = 0.10.2\
%{?1}Requires:       alex = 2.3.5\
%{?1}Requires:       happy = 1.18.6\
%{nil}

# order here follows http://hackage.haskell.org/platform/changelog.html
%define platform_libs()\
%{?1}Requires:       ghc-libraries = 7.0.4\
%{?1}Requires:       ghc-cgi-devel = 3001.1.7.4\
%{?1}Requires:       ghc-fgl-devel = 5.4.2.4\
%{?1}Requires:       ghc-GLUT-devel = 2.1.2.1\
%{?1}Requires:       ghc-haskell-src-devel = 1.0.1.4\
%{?1}Requires:       ghc-html-devel = 1.0.1.2\
%{?1}Requires:       ghc-HUnit-devel = 1.2.4.2\
%{?1}Requires:       ghc-mtl-devel = 2.0.1.0\
%{?1}Requires:       ghc-network-devel = 2.3.0.5\
%{?1}Requires:       ghc-OpenGL-devel = 2.2.3.0\
%{?1}Requires:       ghc-parallel-devel = 3.1.0.1\
%{?1}Requires:       ghc-parsec-devel = 3.1.1\
%{?1}Requires:       ghc-QuickCheck-devel = 2.4.1.1\
%{?1}Requires:       ghc-regex-base-devel = 0.93.2\
%{?1}Requires:       ghc-regex-compat-devel = 0.95.1\
%{?1}Requires:       ghc-regex-posix-devel = 0.95.1\
%{?1}Requires:       ghc-stm-devel = 2.2.0.1\
%{?1}Requires:       ghc-syb-devel = 0.3.3\
%{?1}Requires:       ghc-xhtml-devel = 3000.2.0.4\
%{?1}Requires:       ghc-zlib-devel = 0.5.3.1\
%{?1}Requires:       ghc-HTTP-devel = 4000.1.2\
%{?1}Requires:       ghc-deepseq-devel = 1.1.0.2\
%{?1}Requires:       ghc-text-devel = 0.11.1.5\
%{?1}Requires:       ghc-transformers-devel = 0.2.2.0\
%{nil}

Name:           %{pkg_name}
Version:        2011.4.0.0
Release:        5%{?dist}
Summary:        Standard Haskell distribution

Group:          Development/Tools
License:        BSD
URL:            http://hackage.haskell.org/platform
Source0:        http://lambda.haskell.org/platform/download/%{version}/%{name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  hscolour
%platform_progs Build
%platform_libs Build
%platform_progs
Requires:       ghc-haskell-platform-devel = %{version}

%description
%{common_description}


%package -n ghc-%{name}-devel
Summary:        %{common_summary} development files
Group:          Development/Libraries
%{?ghc_devel_requires}
%platform_libs
Obsoletes:      ghc-%{name}-doc < 2010.2.0.0-0.1
Provides:       ghc-%{name}-doc = %{version}-%{release}
Obsoletes:      ghc-%{name}-prof < %{version}-%{release}
Provides:       ghc-%{name}-prof = %{version}-%{release}
# Added for F17
Obsoletes:      ghc-%{name} < %{version}-%{release}

%description -n ghc-%{name}-devel
%{common_description}

This package is for the development files.


%global top_prefix packages/%{name}-%{version}

%prep
%setup -q -n %{name}-%{version}


%build
cd %{top_prefix}
%ghc_lib_build


%install
cd %{top_prefix}
%ghc_lib_install


%ghc_devel_post_postun


%files
%doc %{top_prefix}/LICENSE


%files -n ghc-%{name}-devel -f %{top_prefix}/ghc-%{name}-devel.files


%changelog
* Thu Jan 19 2012 Jens Petersen <petersen@redhat.com> - 2011.4.0.0-5
- update the description

* Thu Jan 19 2012 Jens Petersen <petersen@redhat.com> - 2011.4.0.0-4
- update the source url

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011.4.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Jan  1 2012 Jens Petersen <petersen@redhat.com> - 2011.4.0.0-2
- define ghc_without_shared since ghc-haskell-platform-devel no longer
  requires ghc-haskell-platform

* Wed Dec 28 2011 Jens Petersen <petersen@redhat.com> - 2011.4.0.0-1
- update to 2011.4.0.0
- reenable ppc64
- drop ghc-haskell-platform subpackage
- require ghc-libraries instead of ghc-devel

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 2011.2.0.1-2
- ghc_arches replaces ghc_excluded_archs (cabal2spec-0.23.2)

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 2011.2.0.1-1
- update to 2011.2.0.1: ghc-7.0.3 and text-0.11.0.6
- update source url
- use ghc_excluded_archs
- exclude ppc64: no QuickCheck
- bump ghc to 7.0.4
- use top_prefix for path to haskell-platform subdir in large tarball
- drop upstream_version

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 2011.2.0.0-5
- drop the prof subpackage

* Wed May 25 2011 Jens Petersen <petersen@redhat.com> - 2011.2.0.0-4
- add ppc64 arch

* Mon Mar 28 2011 Jens Petersen <petersen@redhat.com> - 2011.2.0.0-3
- remove duplicate license file from ghc-haskell-platform

* Mon Mar 28 2011 Jens Petersen <petersen@redhat.com> - 2011.2.0.0-2
- fix the install scripts:
- ghc_reindex_haddock is now redundant
- use ghc_pkg_recache

* Fri Mar 11 2011 Jens Petersen <petersen@redhat.com> - 2011.2.0.0-1
- 2011.2.0.0 final

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2011.1.0.0-0.6
- Enable build on sparcv9

* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 2011.1.0.0-0.5
- update to latest haskell-platform-2011.1 snapshot

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2011.1.0.0-0.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 22 2011 Jens Petersen <petersen@redhat.com> - 2011.1.0.0-0.3
- make ghc-haskell-platform-devel require ghc-devel and ghc_devel_requires
- build with ghc_lib_build and without_haddock

* Tue Jan 18 2011 Jens Petersen <petersen@redhat.com> - 2011.1.0.0-0.2
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 2011.1.0.0-0.1
- update to 2011.1.0.0 alpha snapshot

* Fri Nov 26 2010 Jens Petersen <petersen@redhat.com> - 2010.2.0.0.701-1
- bump some versions for ghc-7.0.1
- add hscolour
- no haddock documentation to build
- remove duplicate LICENSE file

* Fri Jul 23 2010 Jens Petersen <petersen@redhat.com> - 2010.2.0.0-1
- update to 2010.2.0.0 final release (no actual changes)

* Sun Jul 18 2010 Jens Petersen <petersen@redhat.com> - 2010.2.0.0-0.1
- drop debuginfo again: ghc_strip_dynlinked got fixed in ghc-rpm-macros-0.8.1

* Fri Jul 16 2010 Jens Petersen <petersen@redhat.com> - 2010.2.0.0-0.1
- update to 2010.2.0.0 RC
- obsolete ghc-haskell-platform-doc in line with ghc-rpm-macros-0.8.0
- add License to base library too

* Sun Jun 27 2010 Jens Petersen <petersen@redhat.com> - 2010.1.0.0.6123-1
- bump ghc to 6.12.3
- sync cabal2spec-0.22.1
- enable debugging for now to avoid empty strip error

* Thu Apr 29 2010 Jens Petersen <petersen@redhat.com> - 2010.1.0.0.6122-1
- break haskell-platform-2010.1.0.0 with ghc-6.12.2

* Wed Mar 24 2010 Jens Petersen <petersen@redhat.com> - 2010.1.0.0-1
- update to 2010.1.0.0 beta release
- update versions of alex, cgi, network, parallel, QuickCheck, HTTP
- new deepseq dep (#576482)

* Thu Jan 28 2010 Jens Petersen <petersen@redhat.com> - 2009.3.1.20100115-0.2
- add filelist for shared libs
- update devel post and postun

* Sat Jan 16 2010 Jens Petersen <petersen@redhat.com> - 2009.3.1.20100115-0.1
- update to darcs snapshot patched for ghc-6.12.1
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package and ghc_pkg_deps
- build shared library
- drop redundant buildroot and its install cleaning

* Mon Sep 28 2009 Jens Petersen <petersen@redhat.com> - 2009.2.0.2-3
- fix rpmlint warnings (bos, #523883)

* Mon Sep 28 2009 Jens Petersen <petersen@redhat.com> - 2009.2.0.2-2
- add all the buildrequires (#523883)
- create ghcpkgdir since metapackage
- nothing in bindir

* Thu Sep 17 2009 Jens Petersen <petersen@redhat.com> - 2009.2.0.2-1
- initial packaging for Fedora
